Name:           xnec2c
Version:        1.0b5
Release:        1%{?dist}
Summary:        GTK based graphical wrapper for nec2c

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/nec2.html
Source0:        http://5b4az.chronos.org.uk/pkg/nec2/xnec2c/%{name}-%{version}.tar.gz
Source1:	xnec2c.desktop
Source2:	xnec2c-icon.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  autoconf, automake, desktop-file-utils
Requires:       nec2c

%description
xnec2c is a GUI interactive application that (in its current form) reads NEC2
input files but presents output data in graphical form, e.g. as wire frame
drawings of the radiation pattern or near E/H field, graphs of maximum gain,
input impedance, vswr etc against frequency and simple rendering of the antenna
structure, including color code representation of currents or charge densities.

These results are only calculated and drawn on user demand via menu items or
buttons, e.g. xnec2c is interactive and does not execute NEC2 "commands" in
batch style as the original does. 

%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p   ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} \
  ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%doc doc/NearFieldCalcs.txt doc/NEC2-bug.txt doc/nec2c.txt doc/xnec2c.html
%doc doc/images
%doc examples
%{_bindir}/*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/pixmaps/*

%changelog
* Mon Feb 25 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b5-1
- New upstream

* Tue Feb 19 2008 Steve Conklin <sconklin at redhat dot com> - 1.0b3-2
- Added desktop file and icon

* Tue Dec 11 2007 Sindre Pedersen Bjørdal - 1.0b3-1
- Initial build
